Page MenuHomePhabricator

urlutil: move url "fixing" at the time of `ui.paths` initialization
ClosedPublic

Authored by marmoute on Apr 15 2021, 8:56 PM.

Details

Summary

Doing such fixing at the time is simpler and will be necessary to deal with
urls list in a sane manner. It also reduce the size of fix-config which is
always better.

I wish we could get ride of the hackish way to pass the root around, I suspect
that the root variable could be stored as part of the config value, along side
the source. However getting to the end of this root business is a far too
large detours to make now.

The test change to tests/test-hgrc.t and test-config.t are expectied since
we are not longer altering the config itself, but the way it is interpreted when
building path. This seems more correct.

I also added a couple of test call to test-config.t and test-globalopts.t to
clarify that the expanding process is properly happening a the right time.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Apr 15 2021, 8:56 PM
baymax updated this revision to Diff 27020.Apr 17 2021, 7:45 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Apr 29 2021, 9:37 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
mercurial/ui.py
236

Is that "Hold"?

This revision is now accepted and ready to land.Apr 29 2021, 9:37 AM
baymax updated this revision to Diff 27211.Apr 29 2021, 1:47 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27239.Apr 30 2021, 8:26 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27423.May 3 2021, 9:53 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.May 15 2021, 3:17 PM
baymax updated this revision to Diff 27958.May 17 2021, 2:46 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)